@echo off
set server_ip=Server IP address
set user_name=User-Name
set password=Password
cmdkey /generic:"%server_ip%" /user:"%user_name%" /pass:"%password%"
mstsc /v:%server_ip%:43034 /admin
cmdkey /delete:"%server_ip%"